MGASA-2022-0169 - Updated python-ujson packages fix security vulnerability

Publication date: 12 May 2022
URL: https://advisories.mageia.org/MGASA-2022-0169.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-45958

UltraJSON (aka ujson) through 5.1.0 has a stack-based buffer overflow in
Buffer_AppendIndentUnchecked (called from encode). Exploitation can, for
example, use a large amount of indentation. (CVE-2021-45958)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30106
- https://www.debian.org/lts/security/2022/dla-2929
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/2DGMNYDS6YXY3YKK2GES4V5ZN5S4HX74/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-45958

SRPMS:
- 8/core/python-ujson-5.2.0-1.mga8